package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoTaskVO;
import com.hungraim.ltc.pojo.vo.governance.SrvSendVO;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


public interface SrvSendService extends IService<ChSrvSend> {


    IPage<SrvSendVO> selectPage(ChDisableInfo disableInfo, ChSrvOrgan chSrvOrgan, ChSrvSend chSrvSend);

    @Transactional()
    DisableInfoTaskVO selectTaskById(Integer disableInfoId, Integer srvOrganId);

    @Transactional()
    List<DisableInfoTaskVO> selectBydisableInfoId(Integer disableInfoId);

    Long selectMaxId();

}
